# Créé le 22/09/2019 avec EduPython
from math import *
def f(x):
    y=x**3-3*x+1
    return y
def dichotomie(a,b,e):
    while(b-a)>=e:
        m=(a+b)/2
        if f(a)*f(m)<0:
            b=m
        else:
            a=m
    return a,b





